#! /bin/bash
# (c) Thomas BERNARD 2013

MANUAL_VOL="PERSPEK_TER"

echo "Mavericks Patch for $MANUAL_VOL"
MYDIR=`dirname "$0"`
killall Flip-book

if [ ! -d "/Volumes/$MANUAL_VOL" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Volume $MANUAL_VOL introuvable. Veuillez inserer la clé USB." buttons { "OK" }
end tell
EOT
exit 1
fi

DEST_DIR="/Volumes/$MANUAL_VOL/data/Flipbook.app/Contents"
if [ ! -d "$DEST_DIR" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Viewer introuvable sur la clé $MANUAL_VOL. Veuillez effectuer une restauration." buttons { "OK" }
end tell
EOT
exit 1
fi

osascript <<EOT
tell application "Finder"
	activate
	open disk "$MANUAL_VOL"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR/Resources/lidy.cfg"
	display dialog "Patch de la clé $MANUAL_VOL effectué avec succès"
end tell
EOT

